package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesLoadingListDetailService;
import cn.estsh.i3plus.ext.mes.apiservice.dao.IMesLoadingListDetailDao;
import cn.estsh.i3plus.ext.mes.pojo.model.MesLoadingListDetailModel;
import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.base.common.PagerHelper;
import cn.estsh.i3plus.pojo.mes.bean.MesLoadingListDetail;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
@Slf4j
public class MesLoadingListDetailService extends BaseMesService<MesLoadingListDetail> implements IMesLoadingListDetailService {

    @Autowired
    private IMesLoadingListDetailDao detailDao;

    @Override
    public ListPager<MesLoadingListDetailModel> queryLoadingListDetail(MesLoadingListDetail detail, Pager pager) {

        pager = PagerHelper.getPager(pager, detailDao.queryLoadingListDetailModelCount(detail));
        List<MesLoadingListDetailModel> list = detailDao.queryLoadingListDetailModel(detail, pager);
        return new ListPager<>(list, pager);
    }
}
