package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesPartTransferService;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.mes.bean.MesErpWorkCenter;
import cn.estsh.i3plus.pojo.mes.bean.MesPartTransfer;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Service
@Slf4j
public class MesPartTransferService extends BaseMesService<MesPartTransfer> implements IMesPartTransferService {

    protected void setPackQueryBean(MesPartTransfer bean, DdlPackBean packBean) {
        DdlPreparedPack.getStringLikerPack(bean.getCustomerCode(), "customerCode", packBean);
        DdlPreparedPack.getStringLikerPack(bean.getMessageNo(), "messageNo", packBean);
    }
}
