package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesWorkCellExtendCfgService;
import cn.estsh.i3plus.pojo.mes.bean.MesWorkCellExtendCfg;
import cn.estsh.impp.framework.boot.util.ValidatorBean;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Service
@Slf4j
public class MesWorkCellExtendCfgService extends BaseMesService<MesWorkCellExtendCfg> implements IMesWorkCellExtendCfgService {


    protected void onInsertBean(MesWorkCellExtendCfg item) {
        // 数据校验
        ValidatorBean.checkNotNull(item.getWorkCenterCode(), "产线不能为空");
        ValidatorBean.checkNotNull(item.getWorkCellCode(), "主工位不能为空");
        ValidatorBean.checkNotNull(item.getWorkCellCodeBak(), "子工位不能为空");

    }

    protected void onUpdateBean(MesWorkCellExtendCfg item) {
        // 数据校验
        ValidatorBean.checkNotNull(item.getWorkCenterCode(), "产线不能为空");
        ValidatorBean.checkNotNull(item.getWorkCellCode(), "主工位不能为空");
        ValidatorBean.checkNotNull(item.getWorkCellCodeBak(), "子工位不能为空");
    }

}
