package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesLoadingGroupDetailService;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.mes.bean.MesLoadingGroupDetail;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @Description : 装车组详情
 * @Reference :
 * @Author : gsz
 * @CreateDate 2024/5/14 15:13
 * @Modify:
 **/
@Service
@Slf4j
public class MesLoadingGroupDetailServiceImpl extends BaseMesService<MesLoadingGroupDetail> implements IMesLoadingGroupDetailService {

    @Override
    protected void setPackQueryBean(MesLoadingGroupDetail bean, DdlPackBean packBean) {
        DdlPreparedPack.getStringEqualPack(bean.getLoadingGroupNo(), "loadingGroupNo", packBean);
    }

}